<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (11.0.10) on Sun Feb 21 22:03:03 CET 2021 -->
<title>Student</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2021-02-21">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
<script type="text/javascript" src="../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../jquery/jquery-3.5.1.js"></script>
<script type="text/javascript" src="../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Student";
        }
    }
    catch(err) {
    }
//-->
var data = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
var pathtoroot = "../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<!-- ======== START OF CLASS DATA ======== -->
<main role="main">
<div class="header">
<div class="subTitle"><span class="packageLabelInType">Package</span>&nbsp;<a href="package-summary.html">school</a></div>
<h2 title="Class Student" class="title">Class Student</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>school.Student</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<pre>public class <span class="typeNameLabel">Student</span>
extends java.lang.Object</pre>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Constructor</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr class="altColor">
<th class="colConstructorName" scope="row"><code><span class="memberNameLink"><a href="#%3Cinit%3E(int)">Student</a></span>&#8203;(int&nbsp;level)</code></th>
<td class="colLast">
<div class="block">creates a <a href="Student.html" title="class in school"><code>Student</code></a> from its grade</div>
</td>
</tr>
<tr class="rowColor">
<th class="colConstructorName" scope="row"><code><span class="memberNameLink"><a href="#%3Cinit%3E(java.lang.String,java.lang.String,int)">Student</a></span>&#8203;(java.lang.String&nbsp;lastname,
       java.lang.String&nbsp;firstname,
       int&nbsp;level)</code></th>
<td class="colLast">
<div class="block">Constructor used during the import of a mark file</div>
</td>
</tr>
</table>
</li>
</ul>
</section>
<!-- ========== METHOD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#addMark(school.Subject,float)">addMark</a></span>&#8203;(<a href="Subject.html" title="enum in school">Subject</a>&nbsp;subject,
       float&nbsp;mark)</code></th>
<td class="colLast">
<div class="block">adds a mark to an existing <a href="Student.html" title="class in school"><code>Student</code></a>,
 if the <a href="Subject.html" title="enum in school"><code>Subject</code></a> provided isn't in the marks
 of the student and available for him to have:
 adds the subject too</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>float</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getAvgGlobalMark()">getAvgGlobalMark</a></span>()</code></th>
<td class="colLast">
<div class="block">Returns the global average mark of the <a href="Student.html" title="class in school"><code>Student</code></a>
 taking in account optional subject notation,
 1 point above 10 on the average mark
 of the optional subject adds 0.1 point
 on the global average mark meaning up to
 2 points can be added</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getFirstname()">getFirstname</a></span>()</code></th>
<td class="colLast">
<div class="block">returns the first name of the <a href="Student.html" title="class in school"><code>Student</code></a></div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getGrade()">getGrade</a></span>()</code></th>
<td class="colLast">
<div class="block">returns the grade of the <a href="Student.html" title="class in school"><code>Student</code></a></div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getLastname()">getLastname</a></span>()</code></th>
<td class="colLast">
<div class="block">returns the last name of the <a href="Student.html" title="class in school"><code>Student</code></a></div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>java.util.Map&lt;<a href="Subject.html" title="enum in school">Subject</a>,&#8203;java.util.List&lt;java.lang.Float&gt;&gt;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getMarks()">getMarks</a></span>()</code></th>
<td class="colLast">
<div class="block">returns the map of marks of the <a href="Student.html" title="class in school"><code>Student</code></a></div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>java.lang.Float</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getSpecificMarksFromSubject(school.Subject,int)">getSpecificMarksFromSubject</a></span>&#8203;(<a href="Subject.html" title="enum in school">Subject</a>&nbsp;subject,
                           int&nbsp;index)</code></th>
<td class="colLast">
<div class="block">returns the mark of the <a href="Student.html" title="class in school"><code>Student</code></a>
 of the provided test in the provided subject
 or null if no subjects match the parameter
 or if the index provided exceed number of test</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#toString()">toString</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a id="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a id="&lt;init&gt;(int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>Student</h4>
<pre>public&nbsp;Student&#8203;(int&nbsp;level)</pre>
<div class="block">creates a <a href="Student.html" title="class in school"><code>Student</code></a> from its grade</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>level</code> - the grade of the <a href="Student.html" title="class in school"><code>Student</code></a></dd>
</dl>
</li>
</ul>
<a id="&lt;init&gt;(java.lang.String,java.lang.String,int)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>Student</h4>
<pre>public&nbsp;Student&#8203;(java.lang.String&nbsp;lastname,
               java.lang.String&nbsp;firstname,
               int&nbsp;level)</pre>
<div class="block">Constructor used during the import of a mark file</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>lastname</code> - <code>String</code></dd>
<dd><code>firstname</code> - <code>String</code></dd>
<dd><code>level</code> - <code>Integer</code></dd>
</dl>
</li>
</ul>
</li>
</ul>
</section>
<!-- ============ METHOD DETAIL ========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a id="getLastname()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getLastname</h4>
<pre class="methodSignature">public&nbsp;java.lang.String&nbsp;getLastname()</pre>
<div class="block">returns the last name of the <a href="Student.html" title="class in school"><code>Student</code></a></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd><code>String</code></dd>
</dl>
</li>
</ul>
<a id="getFirstname()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getFirstname</h4>
<pre class="methodSignature">public&nbsp;java.lang.String&nbsp;getFirstname()</pre>
<div class="block">returns the first name of the <a href="Student.html" title="class in school"><code>Student</code></a></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd><code>String</code></dd>
</dl>
</li>
</ul>
<a id="getGrade()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getGrade</h4>
<pre class="methodSignature">public&nbsp;int&nbsp;getGrade()</pre>
<div class="block">returns the grade of the <a href="Student.html" title="class in school"><code>Student</code></a></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd><code>Integer</code></dd>
</dl>
</li>
</ul>
<a id="getMarks()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getMarks</h4>
<pre class="methodSignature">public&nbsp;java.util.Map&lt;<a href="Subject.html" title="enum in school">Subject</a>,&#8203;java.util.List&lt;java.lang.Float&gt;&gt;&nbsp;getMarks()</pre>
<div class="block">returns the map of marks of the <a href="Student.html" title="class in school"><code>Student</code></a></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd><code>Map</code> (<a href="Subject.html" title="enum in school"><code>Subject</code></a>,<code>List</code>(<code>Float</code>) )</dd>
</dl>
</li>
</ul>
<a id="toString()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>toString</h4>
<pre class="methodSignature">public&nbsp;java.lang.String&nbsp;toString()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>toString</code>&nbsp;in class&nbsp;<code>java.lang.Object</code></dd>
</dl>
</li>
</ul>
<a id="addMark(school.Subject,float)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>addMark</h4>
<pre class="methodSignature">public&nbsp;boolean&nbsp;addMark&#8203;(<a href="Subject.html" title="enum in school">Subject</a>&nbsp;subject,
                       float&nbsp;mark)</pre>
<div class="block">adds a mark to an existing <a href="Student.html" title="class in school"><code>Student</code></a>,
 if the <a href="Subject.html" title="enum in school"><code>Subject</code></a> provided isn't in the marks
 of the student and available for him to have:
 adds the subject too</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>subject</code> - <a href="Subject.html" title="enum in school"><code>Subject</code></a></dd>
<dd><code>mark</code> - <code>Float</code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd><code>Boolean</code> true if the mark was added, false otherwise</dd>
</dl>
</li>
</ul>
<a id="getSpecificMarksFromSubject(school.Subject,int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSpecificMarksFromSubject</h4>
<pre class="methodSignature">public&nbsp;java.lang.Float&nbsp;getSpecificMarksFromSubject&#8203;(<a href="Subject.html" title="enum in school">Subject</a>&nbsp;subject,
                                                   int&nbsp;index)</pre>
<div class="block">returns the mark of the <a href="Student.html" title="class in school"><code>Student</code></a>
 of the provided test in the provided subject
 or null if no subjects match the parameter
 or if the index provided exceed number of test</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>subject</code> - <a href="Subject.html" title="enum in school"><code>Subject</code></a></dd>
<dd><code>index</code> - <code>Integer</code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd><code>Float</code></dd>
</dl>
</li>
</ul>
<a id="getAvgGlobalMark()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getAvgGlobalMark</h4>
<pre class="methodSignature">public&nbsp;float&nbsp;getAvgGlobalMark()</pre>
<div class="block">Returns the global average mark of the <a href="Student.html" title="class in school"><code>Student</code></a>
 taking in account optional subject notation,
 1 point above 10 on the average mark
 of the optional subject adds 0.1 point
 on the global average mark meaning up to
 2 points can be added</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>globalAverage <code>Float</code></dd>
</dl>
</li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
</div>
</main>
<!-- ========= END OF CLASS DATA ========= -->
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
